IXAudio2VoiceCallbackVtbl Struct Reference

`#include <SDL_xaudio2.h>`

## Public Member Functions

| STDMETHOD_ (VOID, OnVoiceProcessingPassStart)(THIS
| STDMETHOD_ (VOID, OnVoiceProcessingPassEnd)(THIS) PURE
| STDMETHOD_ (VOID, OnStreamEnd)(THIS) PURE
| STDMETHOD_ (VOID, OnBufferStart)(THIS
| STDMETHOD_ (VOID, OnBufferEnd)(THIS
| STDMETHOD_ (VOID, OnLoopEnd)(THIS
| STDMETHOD_ (VOID, OnVoiceError)(THIS

## Data Fields

UINT32 BytesRequired | PURE
void *pBufferContext | PURE
void * | pBufferContext
void HRESULT Error | PURE

## Detailed Description

Definition at line 365 of file SDL_xaudio2.h.

## Member Function Documentation

IXAudio2VoiceCallbackVtbl::STDMETHOD_ | ( | VOID | ,
|  | OnVoiceProcessingPassStart |
| ) |  |

IXAudio2VoiceCallbackVtbl::STDMETHOD_ | ( | VOID | ,
|  | OnVoiceProcessingPassEnd |
| ) |  |

IXAudio2VoiceCallbackVtbl::STDMETHOD_ | ( | VOID | ,
|  | OnStreamEnd |
| ) |  |

IXAudio2VoiceCallbackVtbl::STDMETHOD_ | ( | VOID | ,
|  | OnBufferStart |
| ) |  |

IXAudio2VoiceCallbackVtbl::STDMETHOD_ | ( | VOID | ,
|  | OnBufferEnd |
| ) |  |

IXAudio2VoiceCallbackVtbl::STDMETHOD_ | ( | VOID | ,
|  | OnLoopEnd |
| ) |  |

IXAudio2VoiceCallbackVtbl::STDMETHOD_ | ( | VOID | ,
|  | OnVoiceError |
| ) |  |

## Field Documentation

void* IXAudio2VoiceCallbackVtbl::pBufferContext

Definition at line 379 of file SDL_xaudio2.h.

void *pBufferContext IXAudio2VoiceCallbackVtbl::PURE

Definition at line 373 of file SDL_xaudio2.h.

void* pBufferContext IXAudio2VoiceCallbackVtbl::PURE

Definition at line 376 of file SDL_xaudio2.h.

void HRESULT Error IXAudio2VoiceCallbackVtbl::PURE

Definition at line 379 of file SDL_xaudio2.h.

The documentation for this struct was generated from the following file:

- src/audio/xaudio2/SDL_xaudio2.h